<?php
/**
 * Functions
 *
 * @package      CT Settings
 * @author       Thomas Griffin <http://thomasgriffinmedia.com/>
 * @copyright    Copyright (c) 2011, Thomas Griffin
 * @license      http://opensource.org/licenses/gpl-2.0.php GNU Public License
 * @structure    The structure for this file is from top to bottom, beginning with init items and moving from header to footer.
 *
 */


/* Start the Genesis / CT Settings engine
------------------------------------------------------------ */

require_once( TEMPLATEPATH . '/lib/init.php' );
require_once( CHILD_DIR . '/lib/admin/ctsettings-theme-settings.php' );


/* Add our social sharing buttons to our theme
------------------------------------------------------------ */

add_action( 'genesis_before_post_content', 'ctsettings_social_sharing_buttons' );
/**
 * ctsettings_social_sharing_buttons function.
 *
 * This function displays social sharing buttons based on the options selected by the user.
 *
 * @since 1.0.0
 *
 */
function ctsettings_social_sharing_buttons() {

	$perm = get_permalink();
	$title = get_the_title();
	
	if ( genesis_get_option( 'ctsettings_facebook_link', CTSETTINGS_SETTINGS_FIELD ) )
		echo '<div class="ctsettings-fb-like ctsettings-social-share">' . '<div id="fb-root"></div><script src="http://connect.facebook.net/en_US/all.js#xfbml=1"></script><fb:like href="'.$perm.'" send="false" layout="button_count" width="120" show_faces="false" action="like" font="lucida grande"></fb:like>' . '</div>';
	
	if ( genesis_get_option( 'ctsettings_twitter_link', CTSETTINGS_SETTINGS_FIELD ) )
		echo '<div class="ctsettings-tweet ctsettings-social-share">' . '<a href="http://twitter.com/share" class="twitter-share-button" data-count="horizontal" data-url="'.$perm.'" data-text="'.$title.'">Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>' . '</div>';
	
	if ( genesis_get_option( 'ctsettings_google_link', CTSETTINGS_SETTINGS_FIELD ) )
		echo '<div class="ctsettings-google ctsettings-social-share">' . '<g:plusone size="medium" href="'.$perm.'"></g:plusone><script type="text/javascript">
			(function() {
   			var po = document.createElement("script"); po.type = "text/javascript"; po.async = true;
    		po.src = "https://apis.google.com/js/plusone.js";
    		var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(po, s);
  			})();
		</script>' . '</div>';
		
}